// 导入所有接口
import api from './api'

import baseUrl from '../config/baseURL'

const install = (Vue, httpBaseUrl = "") => {

    if (!httpBaseUrl) {
        httpBaseUrl = baseUrl();
    }
    Vue.prototype.$jsskSysBaseUrl = httpBaseUrl

    Object.defineProperties(Vue.prototype, {
        // 注意，此处挂载在 Vue 原型的 $jsskFrameApi 对象上
        $jsskSysApi: {
            get() {
                return api
            }
        }
    })
}

export default install