/** 系统中心-角色管理模块 */
import axios from '../axios'
// 获取角色列表
export const getRolePageApi = (data) => {
  return axios({
    headers:{
			'Content-Type': 'application/x-www-form-urlencoded'
		},
    url: 'system/role/getPage',
    method: 'post',
    data
  })
}
// 新增角色
export const addRoleApi = (data) => {
  return axios({
    headers:{
			'Content-Type': 'application/x-www-form-urlencoded'
		},
    url: 'system/role/add',
    method: 'post',
    data
  })
}
// 修改角色
export const updateRoleApi = (data) => {
  return axios({
    headers:{
			'Content-Type': 'application/x-www-form-urlencoded'
		},
    url: 'system/role/update',
    method: 'post',
    data
  })
}
// 删除角色
export const deleteRoleApi = (data) => {
  return axios({
    headers:{
			'Content-Type': 'application/x-www-form-urlencoded'
		},
    url: 'system/role/delete',
    method: 'post',
    data
  })
}
// 获取角色下授权与没授权的菜单与资源
export const getAuthRoleMenusApi = (data) => {
  return axios({
    url: 'system/role/menu/getAuthRoleMenus/' + data.roleId,
    method: 'get'
  })
}
// 保存提交菜单资源并授权给角色
export const submitAuthRoleMenuApi = (data) => {
  return axios({
    url: 'system/role/menu/authRoleMenu',
    method: 'post',
    data
  })
}