// 导入所有组件
// 以".vue"结尾
const allComponents = require.context('./', true, /^.*\.vue$/)
let res_components = [];
allComponents.keys().forEach(fileName => {

    let comp = allComponents(fileName)

    // 剥去文件名开头的 `'./` 和结尾的扩展名
    let _f = fileName.replace(/\.vue/g, "").replace(/\./, "");
    res_components.push({
        name: _f.replace(/\//g, ""),
        path: _f,
        component: comp.default,

    })
})

// console.log(res_components);

export default res_components