export default () => {
  let baseURL = '';

  // 判断开发环境 设置不同的请求域名
  if (process.env.NODE_ENV === 'development') {
    // //开发环境 测试
    // baseURL = 'http://sk.jslife.net/campus/';
    baseURL = "http://localhost:12000/";
  } else {
    if (process.env.VUE_APP_ENV === 'testEnvironment') {
      //测试环境
      baseURL = "http://10.101.130.23:9033/";
    } else {
      // 生产环境
      baseURL = "";
    }
  }

  return baseURL
}