// 系统中心- 权限包管理模块
import axios from '../axios';
// 分页获取权限包列表
export const getPermissPageApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/permission/getPage',
    method: 'post',
    data
  })
}
// 新增权限包
export const addPermissApi = (data) => {
  return axios({
    url: 'system/permission/add',
    method: 'post',
    data
  })
}
// 修改权限包
export const updatePermissApi = (data) => {
  return axios({
    url: 'system/permission/update',
    method: 'post',
    data
  })
}
// 删除权限包
export const deletePermissApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/permission/delete',
    method: 'post',
    data
  })
}
// 获取权限包下授权与没授权的菜单与资源
export const getPermissionMenusApi = (data) => {
  return axios({
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    url: 'system/permission/menu/getPermissionMenus',
    method: 'post',
    data
  })
}
