import axios from '../axios'
/* 
 * 日志管理模块
 */

// 分页查询
export const findPage = (data) => {
  return axios({
    url: 'auth/log/findPage',
    method: 'post',
    data
  })
}// //导出文件
export const exportFile = (params = {
  url: '',
  data: '',
  fileName: '导出文件',
}) => {
  axios({
    url: params.url, // 请求地址
    responseType: 'blob', // 表明返回服务器返回的数据类型
    data: params.data, // 参数
  }).then(res => {
    const link = document.createElement('a')
    let blob = new Blob([res], { type: 'application/vnd.ms-excel' })
    link.style.display = 'none'
    link.href = URL.createObjectURL(blob)
    link.download = params.fileName //下载的文件名
    document.body.appendChild(link)
    link.click()
    document.body.removeChild(link)
  }).catch(err => {
    console.error('导出失败')
  })
}
