import Vue from 'vue'
import VueRouter from 'vue-router'
import routes from "./routes"

// 解决重复路径报错问题
const originalPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}


let exportRouter = null;
export default (router) => {
  if (!router) {
    Vue.use(VueRouter)
    exportRouter = new VueRouter({
      // routes
    })
  } else {
    exportRouter = router;
  }

  Vue.prototype.$vueRoute = exportRouter;
  return exportRouter
}
